package com.ningdatech.pmapi.sys.controller;

import com.ningdatech.basic.model.PageVo;
import com.wflow.bean.vo.WflowFormVo;
import com.wflow.bean.vo.WflowModelVo;
import com.wflow.workflow.service.FormService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

/**
 * @Classname SysProcdefController
 * @Description
 * @Date 2023/1/18 14:28
 * @Author PoffyZhang
 */
@Slf4j
@Validated
@RestController
@RequestMapping("/api/v1/sys/form")
@Api(value = "SysForm", tags = "系统管理-表单配置")
@RequiredArgsConstructor
public class SysFormController {

    private final FormService formService;

    @ApiOperation(value = "获取系统表单", notes = "获取系统表单")
    @GetMapping("/{regionCode}")
    public WflowFormVo list(@PathVariable String regionCode) {
        return formService.getFormByRegionCode(regionCode);
    }
}
